﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class InquiryMapper
{
    public static Inquiry FromDtoToModel(this InquiryDTO inqDto)
    {
        return new Inquiry(inqDto.Id, inqDto.Title, inqDto.Description, inqDto.IsUser);
    }

    public static Inquiry FromEntityToModel(this InquiryEntity inqEntity)
    {
        return new Inquiry(inqEntity.Id, inqEntity.Title, inqEntity.Description, inqEntity.IsUser);
    }


    public static InquiryEntity FromModelToEntity(this Inquiry inq)
    {
        return new InquiryEntity
        {
            Id = inq.Id,
            Title = inq.Title,
            Description = inq.Description,
            IsUser = inq.IsUser
        };
    }

    public static InquiryEntity FromDtoToEntity(this InquiryDTO inqDto)
    {
        return new InquiryEntity
        {
            Id = inqDto.Id,
            Title = inqDto.Title,
            Description = inqDto.Description,
            IsUser = inqDto.IsUser
        };
    }

    public static InquiryDTO FromModelToDto(this Inquiry inq)
    {
        return new InquiryDTO(inq.Id, inq.Title, inq.Description, inq.IsUser);
    }

    public static InquiryDTO FromEntityToDto(this InquiryEntity inqEntity)
    {
        return new InquiryDTO(inqEntity.Id, inqEntity.Title, inqEntity.Description, inqEntity.IsUser);
    }
}