﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class LessonMapper
{
    public static LessonDTO FromModelToDto(this Lesson model)
    {
        return new LessonDTO(model.Id, model.Title, model.LastPublisher, model.LastEdit);
    }

    public static LessonDTO FromEntityToDto(this LessonEntity model)
    {
        return new LessonDTO(model.Id, model.Title, model.LastPublisher, model.LastEdit);
    }

    public static LessonEntity FromModelToEntity(this Lesson model)
    {
        return new LessonEntity
        {
            Id = model.Id,
            Title = model.Title,
            LastPublisher = model.LastPublisher,
            LastEdit = model.LastEdit
        };
    }

    public static LessonEntity FromDtoToEntity(this LessonDTO dto)
    {
        return new LessonEntity
        {
            Id = dto.Id,
            Title = dto.Title,
            LastPublisher = dto.LastPublisher,
            LastEdit = dto.LastEdit
        };
    }

    public static Lesson FromDtoToModel(this LessonDTO dto)
    {
        return new Lesson(dto.Id, dto.Title, dto.LastPublisher, dto.LastEdit);
    }

    public static Lesson FromEntityToModel(this LessonEntity entity)
    {
        return new Lesson(entity.Id, entity.Title, entity.LastPublisher, entity.LastEdit);
    }
}